% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fusFs.R
\name{fusFs}
\alias{fusFs}
\title{Fu's Fs}
\usage{
fusFs(x)
}
\arguments{
\item{x}{set of DNA sequences or a haploid \linkS4class{gtypes} 
object with sequences.}
}
\description{
Calculate Fu's Fs for a set of sequences to test 
  for selection.
}
\note{
Currently, this function is limited to calculating Fs for fewer than
  approximately 172 sequences due to numerical overflow issues. \code{NaN}
  will be returned for larger data sets. Statistical significance (p-values)
  of Fs must be calculated with case-specific simulations.
}
\examples{
data(dolph.seqs)

fusFs(dolph.seqs)

}
\references{
Fu, Y-X. 1997. Statistical tests of neutrality of mutations 
  against population growth, hitchiking and background selection. 
  Genetics 147:915-925.
}
\author{
Eric Archer \email{eric.archer@noaa.gov}
}
